[Debian-live-changes] r1091 - in dists/trunk/live-helper: debian doc examples

Daniel Baumann daniel at alioth.debian.org
Wed Apr 18 14:45:16 UTC 2007


Author: daniel
Date: 2007-04-18 14:45:16 +0000 (Wed, 18 Apr 2007)
New Revision: 1091

Added:
   dists/trunk/live-helper/debian/cron.daily
   dists/trunk/live-helper/debian/default
   dists/trunk/live-helper/examples/edu.sources.list
   dists/trunk/live-helper/examples/fai.sources.list
Modified:
   dists/trunk/live-helper/debian/rules
   dists/trunk/live-helper/doc/ChangeLog
Log:


Added: dists/trunk/live-helper/debian/cron.daily
===================================================================
--- dists/trunk/live-helper/debian/cron.daily	2007-04-18 11:19:46 UTC (rev 1090)
+++ dists/trunk/live-helper/debian/cron.daily	2007-04-18 14:45:16 UTC (rev 1091)
@@ -0,0 +1,121 @@
+#!/bin/sh
+
+set -e
+
+BUILD="daily"
+
+# Check for live-helper availability
+if [ ! -x /usr/bin/make-live ]
+then
+	exit 0
+fi
+
+# Check for live-helper defaults
+if [ -r /etc/default/live-helper ]
+then
+	. /etc/default/live-helper
+else
+	echo "E: /etc/default/live-helper missing."
+	exit 1
+fi
+
+# Check for autobuild
+if [ "${AUTOBUILD}" != "enabled" ]
+then
+	exit 0
+fi
+
+# Check for build directory
+if [ ! -d "${AUTOBUILD_TEMPDIR}" ]
+then
+	mkdir -p "${AUTOBUILD_TEMPDIR}"/debian-live
+else
+	# FIXME: maybe we should just remove the left overs.
+	echo "E: ${AUTOBUILD_TEMPDIR} needs cleanup."
+	exit 1
+fi
+
+cd "${AUTOBUILD_TEMPDIR}"
+
+for ARCHITECTURE in ${AUTOBUILD_ARCHITECTURES}
+do
+	for DISTRIBUTION in ${AUTOBUILD_DISTRIBUTIONS}
+	do
+		for PACKAGES_LIST in ${AUTOBUILD_PACKAGES_LISTS}
+		do
+			if [ ! -f "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${AUTOBUILD_DATE}-iso-log.txt ]
+		then
+			# Generating images
+			make-live -b iso -s generic --distribution ${DISTRIBUTION} --packages-lists ${PACKAGES_LIST} --mirror-build ${AUTOBUILD_MIRROR} --mirror-build-security ${AUTOBUILD_MIRROR_SECURITY} --source enabled ${AUTOBUILD_OPTIONS} > "${AUTOBUILD_TEMPDIR}"/debian-live/log.txt 2>&1
+		fi
+
+		if [ -f "${AUTOBUILD_TEMPDIR}"/debian-live/binary.iso ] && [ -f "${AUTOBUILD_TEMPDIR}"/debian-live/source.tar ]
+		then
+			# Moving logs
+			mkdir -p "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/log
+			mv "${AUTOBUILD_TEMPDIR}"/debian-live/log.txt "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${AUTOBUILD_DATE}-iso-log.txt
+			mv "${AUTOBUILD_TEMPDIR}"/debian-live/packages.txt "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${AUTOBUILD_DATE}-iso-packages.txt
+
+			# Moving images
+			mkdir -p "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/${ARCHITECTURE}
+			mv "${AUTOBUILD_TEMPDIR}"/debian-live/binary.iso "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/${ARCHITECTURE}/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}.iso
+
+			mkdir -p "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/source
+			mv "${AUTOBUILD_TEMPDIR}"/debian-live/source.tar "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/source/debian-live-${DISTRIBUTION}-source-${PACKAGES_LIST}.tar
+		fi
+
+		if [ ! -f "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${AUTOBUILD_DATE}-usb-log.txt ]
+		then
+			# Workaround of missing multi-binary support in live-helper
+			mv "${AUTOBUILD_TEMPDIR}"/debian-live/binary/casper "${AUTOBUILD_TEMPDIR}"/debian-live/casper.tmp
+			rm -rf "${AUTOBUILD_TEMPDIR}"/debian-live/binary* "${AUTOBUILD_TEMPDIR}"/debian-live/.stage/binary_*
+			mkdir "${AUTOBUILD_TEMPDIR}"/debian-live/binary
+			mv "${AUTOBUILD_TEMPDIR}"/debian-live/casper.tmp "${AUTOBUILD_TEMPDIR}"/debian-live/binary/casper
+			touch "${AUTOBUILD_TEMPDIR}"/debian-live/.stage/binary_chroot
+			touch "${AUTOBUILD_TEMPDIR}"/debian-live/.stage/binary_rootfs
+
+			# Generating images
+			make-live -b usb > "${AUTOBUILD_TEMPDIR}"/debian-live/log.txt 2>&1
+		fi
+
+		if [ -f "${AUTOBUILD_TEMPDIR}"/debian-live/binary.img ]
+		then
+			# Moving logs
+			mkdir -p "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/log
+			mv "${AUTOBUILD_TEMPDIR}"/debian-live/log.txt "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${AUTOBUILD_DATE}-usb-log.txt
+			cp "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${AUTOBUILD_DATE}-iso-packages.txt "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/log/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}_${AUTOBUILD_DATE}-usb-packages.txt
+
+			# Moving images
+			mkdir -p "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/${ARCHITECTURE}
+			mv "${AUTOBUILD_TEMPDIR}"/debian-live/binary.img "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/${ARCHITECTURE}/debian-live-${DISTRIBUTION}-${ARCHITECTURE}-${PACKAGES_LIST}.img
+		fi
+
+		# Cleanup
+		rm -rf "${AUTOBUILD_TEMPDIR}"/debian-live
+		done
+	done
+done
+
+# Cleanup
+if [ -e "${AUTOBUILD_TEMPDIR}"/debian-live/chroot/proc/version ]
+then
+	umount "${AUTOBUILD_TEMPDIR}"/debian-live/chroot/proc
+fi
+
+if [ -d "${AUTOBUILD_TEMPDIR}"/debian-live/chroot/sys/kernel ]
+then
+	umount "${AUTOBUILD_TEMPDIR}"/debian-live/chroot/sys
+fi
+
+rm -rf "${AUTOBUILD_TEMPDIR}"
+
+# md5sums
+for DIRECTORY in "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/${AUTOBUILD_DATE}/*
+do
+	cd "${DIRECTORY}"
+	md5sum * > MD5SUMS
+done
+
+# Current symlink
+rm -f "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/current
+ln -s ${AUTOBUILD_DATE} "${AUTOBUILD_DESTDIR}"/"${BUILD}"-builds/current

Added: dists/trunk/live-helper/debian/default
===================================================================
--- dists/trunk/live-helper/debian/default	2007-04-18 11:19:46 UTC (rev 1090)
+++ dists/trunk/live-helper/debian/default	2007-04-18 14:45:16 UTC (rev 1091)
@@ -0,0 +1,15 @@
+# Defaults for /etc/cron.daily/live-helper
+
+AUTOBUILD="disabled"
+
+AUTOBUILD_ARCHITECTURES="`dpkg --print-architecture`"
+AUTOBUILD_DISTRIBUTIONS="sid"
+AUTOBUILD_PACKAGES_LISTS="standard gnome-desktop kde-desktop xfce-desktop"
+AUTOBUILD_OPTIONS="--apt-recommends disabled"
+
+AUTOBUILD_DATE="`date +%Y%m%d`"
+AUTOBUILD_DESTDIR="/srv/debian-unofficial/ftp/debian-live"
+AUTOBUILD_TEMPDIR="/srv/tmp"
+
+AUTOBUILD_MIRROR="http://ftp.de.debian.org/debian/"
+AUTOBUILD_MIRROR_SECURITY="http://ftp.de.debian.org/debian-security/"

Modified: dists/trunk/live-helper/debian/rules
===================================================================
--- dists/trunk/live-helper/debian/rules	2007-04-18 11:19:46 UTC (rev 1090)
+++ dists/trunk/live-helper/debian/rules	2007-04-18 14:45:16 UTC (rev 1091)
@@ -25,13 +25,14 @@
 	# Installing package
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/live-helper
 
-	install -m 644 debian/changelog.old debian/live-helper/usr/share/doc/live-helper/changelog.Debian.old
+	install -D -m 0644 debian/changelog.old debian/live-helper/usr/share/doc/live-helper/changelog.Debian.old
 
+	install -D -m 0644 debian/default debian/live-helper/etc/default/live-helper
+
 	# Removing double files
 	rm -f debian/live-helper/usr/share/doc/live-helper/COPYING
 	rm -f debian/live-helper/usr/share/doc/live-helper/ChangeLog
-	mv debian/live-helper/usr/share/doc/live-helper/ChangeLog.old \
-		debian/live-helper/usr/share/doc/live-helper/changelog.old
+	mv debian/live-helper/usr/share/doc/live-helper/ChangeLog.old debian/live-helper/usr/share/doc/live-helper/changelog.old
 
 binary-arch: build install
 
@@ -41,6 +42,7 @@
 	dh_installchangelogs doc/ChangeLog
 	dh_installdocs
 	dh_install
+	dh_installcron
 	dh_installman
 	dh_compress
 	dh_fixperms

Modified: dists/trunk/live-helper/doc/ChangeLog
===================================================================
--- dists/trunk/live-helper/doc/ChangeLog	2007-04-18 11:19:46 UTC (rev 1090)
+++ dists/trunk/live-helper/doc/ChangeLog	2007-04-18 14:45:16 UTC (rev 1091)
@@ -1,7 +1,11 @@
 2007-04-18  Daniel Baumann  <daniel at debian.org>
 
+	* debian/cron.daily, default:
+	  - Added.
 	* doc/BUGS, DOWNLOAD:
 	  - Added.
+	* examples/edu.sources.list, fai.sources.list:
+	  - Added.
 	* manpages/*:
 	  - Added language suffix.
 	  - Added German translations.

Added: dists/trunk/live-helper/examples/edu.sources.list
===================================================================
--- dists/trunk/live-helper/examples/edu.sources.list	2007-04-18 11:19:46 UTC (rev 1090)
+++ dists/trunk/live-helper/examples/edu.sources.list	2007-04-18 14:45:16 UTC (rev 1091)
@@ -0,0 +1,11 @@
+## This is a sources.list for live-helper(7) to use packages from the
+## Debian Edu/Skolelinux repository.
+##
+## To enable it, copy this file to your config/chroot_sources directory, once
+## as e.g. edu.build and once as edu.image.
+##
+## Remeber to add debian-edu-archive-keyring to your package selection.
+
+# Debian Edu/Skolelinux
+deb http://ftp.skolelinux.org/skolelinux/ etch-test local
+deb-src http://ftp.skolelinux.org/skolelinux/ etch-test local

Added: dists/trunk/live-helper/examples/fai.sources.list
===================================================================
--- dists/trunk/live-helper/examples/fai.sources.list	2007-04-18 11:19:46 UTC (rev 1090)
+++ dists/trunk/live-helper/examples/fai.sources.list	2007-04-18 14:45:16 UTC (rev 1091)
@@ -0,0 +1,9 @@
+## This is a sources.list for live-helper(7) to use packages from the
+## FAI - Fully Automated Install repository.
+##
+## To enable it, copy this file to your config/chroot_sources directory, once
+## as e.g. fai.build and once as fai.image.
+
+# FAI - Fully Automated Install
+deb http://www.informatik.uni-koeln.de/fai/download/ etch koeln
+deb-src http://www.informatik.uni-koeln.de/fai/download/ etch koeln




More information about the Debian-live-changes mailing list